Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
x-moto [Le 22/12/2006, 09:58]
Blackpegaz
— (Version actuelle)
Ligne 1: Ligne 1:
-{{tag>​breezy dapper edgy jeux}} 
  
----- 
- 
-====== X-Moto ====== 
- 
- 
-===== Présentation ===== 
- 
-X-Moto est un jeu de plateforme en 2D dans lequel la physique joue un rôle très important au niveau de la jouabilité. Vous devez pousser votre moto à ses limites si vous voulez avoir une chance de réussir le plus difficile des challenges. 
- 
- 
-===== Installation ===== 
- 
-==== Par les dépôts ==== 
-C'est la méthode la plus simple pour installer X-Moto : installez le paquet '​xmoto'​ par synaptic, ou bien par la ligne de commande : 
-<​code>​sudo apt-get install xmoto</​code>​ 
-Vous devez activer les dépôts universe. 
- 
-Pour lancer le jeux, allez dans le menu, une icône s'est rajoutée. 
- 
-Le problème, c'est que la version de xmoto dans les dépôts n'est généralement pas la dernière version. Pour profiter de la dernière version, il faut faire une des deux autres méthodes d'​installation. 
- 
-==== Par le paquet disponible sur le site ==== 
-Allez sur [[http://​xmoto.sourceforge.net/​|le site de X-Moto]] et récupérez le dernier paquet disponible pour Ubuntu. 
-Ensuite, cliquez sur le paquet pour l'​installer graphiquement,​ ou bien en ligne de commande dans le répertoire adéquat : 
-<​code>​sudo dpkg -i xmoto*.deb</​code>​ 
- 
-Pour lancer le jeux, allez dans le menu, une icône s'est rajoutée. 
-  
-==== Compilation ==== 
-Une dernière possibilité est la compilation,​ en effet, le paquet pour Ubuntu n'est pas toujours disponible sur le site. 
-Récupérez les sources de la dernière version de X-Moto sur [[http://​xmoto.sourceforge.net/​|le site]]. 
- 
-Installez les paquets suivants qui sont nécessaires pour la compilation de ce jeux : 
-<​code>​sudo aptitude install build-essential libjpeg62-dev libpng12-dev zlib1g-dev libbz2-dev libsdl1.2-dev libsdl-mixer1.2-dev libcurl3-dev liblua50-dev liblualib50-dev libode0-dev</​code>​ 
- 
-Note 1 : qu'il est préférable d'​installer ces paquets grâce à aptitude, et non apt-get. Ca permettra plus tard de désinstaller tous ces paquets, ainsi que les dépendances installées en plus (apt-get ne désinstallera pas les dépendances de ces paquets). 
- 
-Note 2 : le paquet build-essential est essentiel pour la compilation (de n'​importe quel programme), les autres paquets sont les dépendances de compilation pour xmoto. 
- 
-Décompressez l'​archive (on peut le faire graphiquement aussi) : 
-<​code>​tar zxvf xmoto*tar.gz && cd xmoto*/</​code>​ 
- 
-Exécutez les commandes classiques de compilation,​ à savoir : 
-<​code>​./​configure 
-make 
-sudo make install</​code>​ 
- 
-Si vous obtenez une erreur lors du ./​configure,​ c'est que vous n'avez pas installé toutes les dépendances nécessaires à la compilation. Ce qui pourrait arriver pour une version supérieure à la 0.2.2. 
- 
-Une fois que l'​installation est terminée, vous pouvez désinstaller les paquets qui ont servi à la compilation : 
-<​code>​sudo aptitude remove libjpeg62-dev libpng12-dev zlib1g-dev libbz2-dev libsdl1.2-dev libsdl-mixer1.2-dev libcurl3-dev liblua50-dev liblualib50-dev libode0-dev</​code>​ 
-Et grâce à aptitude, toutes les dépendances sont aussi désinstallées :) 
- 
-Ah oui, pour lancer le jeux, la commande est ''​xmoto''​. 
- 
-**Amusez-vous bien !** 
- 
----- 
- 
-//​Contributeur : Rédigé par [[utilisateurs:​darkagonik|darkagonik]]//​ 
  • x-moto.1166777900.txt.gz
  • Dernière modification: Le 04/01/2007, 00:08
  • (modification externe)